Bug 241268 - kernel-devel does not include all needed headers on ppc64 and i386
kernel-devel does not include all needed headers on ppc64 and i386
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.5
All Linux
high Severity high
: ---
: ---
Assigned To: Doug Ledford
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-24 13:57 EDT by Doug Ledford
Modified: 2007-11-16 20:14 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2007-0791
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:27:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for problem (1.58 KB, patch)
2007-05-24 13:57 EDT, Doug Ledford
no flags Details | Diff

  None (edit)
Description Doug Ledford 2007-05-24 13:57:43 EDT
There are a number of header files in asm-ppc64 that #include headers in
asm-ppc, and one header file in asm-i386 that #includes a header in asm-x86_64.
 Any external module that uses any of these headers is broken when trying to
compile against our kernel-devel package.  The attached patch to our spec file
makes generation of dependent headers happen at build time and catches all the
missing headers on all arches.

This issue is actually holding up the upstream release of OFED-1.2 right now
(they wanted to support RHEL4.5 with OFED 1.2, that now does not look possible).
Comment 1 Doug Ledford 2007-05-24 13:57:43 EDT
Created attachment 155374 [details]
Fix for problem
Comment 2 RHEL Product and Program Management 2007-05-29 09:45:59 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Jason Baron 2007-06-07 13:44:02 EDT
committed in stream U6 build 55.7. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 6 Chris Feist 2007-08-20 16:52:13 EDT
This patch breaks kernel modules builds on xen.

/usr/src/kernels/2.6.9-56.EL-xenU-x86_64/include/asm/mach-xen/asm/synch_bitops.h

has the following line
#include <asm-i386/mach-xen/asm/synch_bitops.h>

which breaks when the asm-i386 directory (and mach-xen subdirectory) are not
present.

We cannot build or test GFS/Cluster Suite packages until this patch is fixed.


Output from build against -56.EL:
make -C /lib/modules/2.6.9-56.ELxenU/build
M=/usr/src/redhat/BUILD/cman-kernel-2.6.9-51/xenU/src modules USING_KBUILD=yes
make[2]: Entering directory `/usr/src/kernels/2.6.9-56.EL-xenU-x86_64'
  CC [M]  /usr/src/redhat/BUILD/cman-kernel-2.6.9-51/xenU/src/cnxman.o
In file included from include/asm/mach-xen/asm/system.h:7,
                 from include/asm/mach-xen/asm/processor.h:19,
                 from include/linux/spinlock.h:16,
                 from include/linux/capability.h:45,
                 from include/linux/sched.h:7,
                 from
/usr/src/redhat/BUILD/cman-kernel-2.6.9-51/xenU/src/cnxman.c:18:
include/asm/mach-xen/asm/synch_bitops.h:2:48:
asm-i386/mach-xen/asm/synch_bitops.h: No such file or directory




Comment 7 Chris Feist 2007-09-05 16:36:34 EDT
Setting blocker flag.
Comment 8 Kiersten (Kerri) Anderson 2007-09-05 16:45:19 EDT
This is blocking building of the cluster suite products for RHEL4.6 release and
critical that it get resolved.  Raising priorities as well.
Comment 9 Doug Ledford 2007-09-06 10:18:48 EDT
When I did the original patch to the spec file to copy the right headers into
other arch devel packages, there was no xen kernel in the RHEL4 CVS tree.  I
guess it's been added sometime after I did that work.  I'm building a kernel
locally and I'll see if I can tell exactly what about the patch isn't working.
Comment 13 Jason Baron 2007-09-12 14:26:13 EDT
committed in stream U6 build 59. A test kernel with this patch is available from
http://people.redhat.com/~jbaron/rhel4/
Comment 15 Chris Feist 2007-09-17 16:38:04 EDT
This worked for my kernel modules, thanks!
Comment 17 errata-xmlrpc 2007-11-15 11:27:37 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0791.html

Note You need to log in before you can comment on or make changes to this bug.